Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class UnsupportedAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.ggf.drmaa.DrmaaRuntimeException
                      org.ggf.drmaa.UnsupportedAttributeException

All Implemented Interfaces:
  java.io.Serializable

public class UnsupportedAttributeException
extends DrmaaRuntimeException

This exception is thrown when a setter or getter is called for an unsupported optional attribute.

Since:
  0.4.2
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`UnsupportedAttributeException()` Creates a new instance of `UnsupportedAttributeException` without detail message.
`UnsupportedAttributeException(java.lang.String msg)` Constructs an instance of `UnsupportedAttributeException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedAttributeException

    public UnsupportedAttributeException()

  Creates a new instance of `UnsupportedAttributeException` without detail message.

### UnsupportedAttributeException

    public UnsupportedAttributeException(java.lang.String msg)

  Constructs an instance of `UnsupportedAttributeException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD